*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

*:hover,
*:focus,
*:active {
    outline: none;
}

html {
    font-family: sans-serif;
    font-size: 16px;
    font-weight: normal;
    line-height: 1.5;
    min-width: 320px;
    height: 100%;
}

body {
    color: rgb(39, 39, 39);
    background-color: white;
    height: 100%;
    display: flex;
    flex-direction: column;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: 1.25;
    font-weight: normal;
}

h1 {
    font-size: 2.2em;
    font-weight: bold;
}

@media screen and (max-width: 400px) {
    h1 {
        font-size: 1.6em;
    }
}

h2 {
    font-size: 2em;
    font-weight: bold;
}

@media screen and (max-width: 400px) {
    h2 {
        font-size: 1.5em;
    }
}

h3 {
    font-size: 1.8em;
    font-weight: bold;
}

@media screen and (max-width: 400px) {
    h3 {
        font-size: 1.4em;
    }
}

h4 {
    font-size: 1.6em;
    font-weight: bold;
}

@media screen and (max-width: 400px) {
    h4 {
        font-size: 1.3em;
    }
}

h5 {
    font-size: 1.4em;
    font-weight: bold;
}

@media screen and (max-width: 400px) {
    h5 {
        font-size: 1.2em;
    }
}

h6 {
    font-size: 1.2em;
    font-weight: bold;
}

@media screen and (max-width: 400px) {
    h6 {
        font-size: 1.1em;
    }
}

.container {
    padding: 1.5em;
}

h1,
p,
label,
input {
    margin-bottom: 1rem;
}

form {
    display: flex;
    flex-direction: column;
    align-items: start;
}

form * {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

label {
    padding: 3em 6em;
    background-color: rgb(247, 247, 247);
    border: 1px solid rgb(191, 191, 191);
    cursor: pointer;
}

input {
    display: none;
}

button {
    padding: 0.5em 1em;
    background-color: rgb(127, 127, 127);
    color: white;
    border: none;
    cursor: pointer;
}
